<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinacreator.video.mapper.TrafficOrderDao" >  
    <insert id="addFtpOrder" parameterType="com.chinacreator.video.bean.FtpOrderBean">
    	insert into WOSDK.TD_CHANNEL_FTP_ORDER (id, userid, ordertime, inserttime, status, type, filename, synctime, channel, squenceid,CANCELTIME,UPDATETYPE,PRODUCTID,ELEMENTID) values 
		(#{id},#{userid},to_date(#{ordertime}, 'yyyyMMddHH24miss'),to_date(#{inserttime}, 'yyyyMMddHH24miss'),#{status},#{type},#{filename},#{synctime},#{channel},#{squenceid},to_date(#{canceltime}, 'yyyyMMddHH24miss'),#{updatetype},#{productId},#{elementId})
     </insert>
     
     
     <insert id="addFtpDq" parameterType="com.chinacreator.video.bean.FtpOrderBean">
     	insert into WOSDK.TD_CHANNEL_FTP_DQ(id,PROVINCECODE,NETTYPECODE,ORDERID)values(#{id},#{provinceCode},#{nettypeCode},#{orderId})
     </insert>
     
     <select id="getID" resultType="String">
     select to_char(sysdate,'yyyyMMddhh24miss')||SEQ_COMMON6.nextval from dual
     </select>
     
     <select id="getSjyytProductidConf" resultType="HashMap">
     	SELECT * FROM TB_SJYYT_PRODUCTID_CONF
     </select>
</mapper>